curl -X GET "https://parsagon.io/api/transcripts/v1/categories/2/transcripts/" \
-H "Authorization: Token YOUR_API_KEY_HERE"
{
"count": 17,
"next": "https://parsagon.io/api/transcripts/v1/categories/2/transcripts/?limit=10&offset=10",
"previous": null,
"results": [
{
"id": 5103756,
"title": "Committee on Civil Liberties, Justice and Home Affairs Ordinary meeting",
"scheduled_time": "2026-05-07T07:30:00Z",
"url": "https://multimedia.europarl.europa.eu/en/webstreaming/committee-on-civil-liberties-justice-and-home-affairs-ordinary-meeting_20260507-0900-COMMITTEE-LIBE",
"transcript_status": "FINISHED"
},
{
"id": 5103754,
"title": "Committee on the Internal Market and Consumer Protection Ordinary meeting",
"scheduled_time": "2026-05-07T07:00:00Z",
"url": "https://multimedia.europarl.europa.eu/en/webstreaming/committee-on-internal-market-and-consumer-protection-ordinary-meeting_20260507-0900-COMMITTEE-IMCO",
"transcript_status": "FINISHED"
},
...
]
}
Endpoints
List transcripts
Retrieve a paginated list of transcripts within a specified category.
curl -X GET "https://parsagon.io/api/transcripts/v1/categories/2/transcripts/" \
-H "Authorization: Token YOUR_API_KEY_HERE"
{
"count": 17,
"next": "https://parsagon.io/api/transcripts/v1/categories/2/transcripts/?limit=10&offset=10",
"previous": null,
"results": [
{
"id": 5103756,
"title": "Committee on Civil Liberties, Justice and Home Affairs Ordinary meeting",
"scheduled_time": "2026-05-07T07:30:00Z",
"url": "https://multimedia.europarl.europa.eu/en/webstreaming/committee-on-civil-liberties-justice-and-home-affairs-ordinary-meeting_20260507-0900-COMMITTEE-LIBE",
"transcript_status": "FINISHED"
},
{
"id": 5103754,
"title": "Committee on the Internal Market and Consumer Protection Ordinary meeting",
"scheduled_time": "2026-05-07T07:00:00Z",
"url": "https://multimedia.europarl.europa.eu/en/webstreaming/committee-on-internal-market-and-consumer-protection-ordinary-meeting_20260507-0900-COMMITTEE-IMCO",
"transcript_status": "FINISHED"
},
...
]
}
Results are paginated and include summary information for each transcript. To retrieve the full transcript text for a given transcript, use the get transcript endpoint.
Path parameters
string
required
The transcript category to list transcripts from.
Response
Returns a paginated response containing transcript summary objects.integer
Total number of transcripts matching the query.
string
URL for the next page of results, or
null if there are no more pages.string
URL for the previous page of results, or
null if this is the first page.array
curl -X GET "https://parsagon.io/api/transcripts/v1/categories/2/transcripts/" \
-H "Authorization: Token YOUR_API_KEY_HERE"
{
"count": 17,
"next": "https://parsagon.io/api/transcripts/v1/categories/2/transcripts/?limit=10&offset=10",
"previous": null,
"results": [
{
"id": 5103756,
"title": "Committee on Civil Liberties, Justice and Home Affairs Ordinary meeting",
"scheduled_time": "2026-05-07T07:30:00Z",
"url": "https://multimedia.europarl.europa.eu/en/webstreaming/committee-on-civil-liberties-justice-and-home-affairs-ordinary-meeting_20260507-0900-COMMITTEE-LIBE",
"transcript_status": "FINISHED"
},
{
"id": 5103754,
"title": "Committee on the Internal Market and Consumer Protection Ordinary meeting",
"scheduled_time": "2026-05-07T07:00:00Z",
"url": "https://multimedia.europarl.europa.eu/en/webstreaming/committee-on-internal-market-and-consumer-protection-ordinary-meeting_20260507-0900-COMMITTEE-IMCO",
"transcript_status": "FINISHED"
},
...
]
}